summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Larry Hajali <larryhaja@gmail.com>2014-03-24 09:01:14 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-24 09:01:14 +0700
commit0b6b955dc0aaa866c039605848ee59e5cdcad7d4 (patch)
treef34a11eef602e0322d5b9376f0eb3e8b843cdfca /misc
parente520a3e786536b1f4b9dee36ba074a0466da8091 (diff)
downloadslackbuilds-0b6b955dc0aaa866c039605848ee59e5cdcad7d4.tar.gz
slackbuilds-0b6b955dc0aaa866c039605848ee59e5cdcad7d4.tar.xz
misc/subsurface: Added (Open Source Dive Log Program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/subsurface/README10
-rw-r--r--misc/subsurface/doinst.sh9
-rw-r--r--misc/subsurface/slack-desc19
-rw-r--r--misc/subsurface/subsurface.SlackBuild100
-rw-r--r--misc/subsurface/subsurface.info10
5 files changed, 148 insertions, 0 deletions
diff --git a/misc/subsurface/README b/misc/subsurface/README
new file mode 100644
index 0000000000..cb9d3618d0
--- /dev/null
+++ b/misc/subsurface/README
@@ -0,0 +1,10 @@
+Subsurface is able to track single- and multi-tank dives using air, Nitrox or
+TriMix. It also allows logging of weights and exposure protection used, dive
+masters and dive buddies and enables the user to rate dives and provide
+additional dive notes.
+
+With Subsurface the user can track dive locations including GPS coordinates
+(which can also conveniently be entered using a map interface). Subsurface
+calculates a wide variety of statistics of the user's diving and calculates and
+tracks information like the user's SAC rate, partial pressures of O2, N2 and He,
+calculated deco information, and many more.
diff --git a/misc/subsurface/doinst.sh b/misc/subsurface/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/misc/subsurface/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/misc/subsurface/slack-desc b/misc/subsurface/slack-desc
new file mode 100644
index 0000000000..649b200ff5
--- /dev/null
+++ b/misc/subsurface/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+subsurface: subsurface (Open Source Dive Log Program)
+subsurface:
+subsurface: Subsurface is able to track single- and multi-tank dives using air,
+subsurface: Nitrox or TriMix. It also allows logging of weights and exposure
+subsurface: protection used, dive masters and dive buddies and enables the user
+subsurface: to rate dives and provide additional dive notes.
+subsurface:
+subsurface: Homepage: http://subsurface.hohndel.org/
+subsurface:
+subsurface:
+subsurface:
diff --git a/misc/subsurface/subsurface.SlackBuild b/misc/subsurface/subsurface.SlackBuild
new file mode 100644
index 0000000000..6f878dc1a6
--- /dev/null
+++ b/misc/subsurface/subsurface.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for subsurface
+
+# Copyright 2014 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=subsurface
+SRCNAM=Subsurface
+VERSION=${VERSION:-4.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix man page directory.
+sed -i '/^MANDIR/s|=.*|= /usr/man/man1\$\${nl}|' $PRGNAM-install.pri
+# Fix version number.
+sed -i "s|4.0.1|$VERSION|" Documentation/user-manual.*
+
+qmake PREFX="/usr" QMAKE_CFLAGS+="$SLKCFLAGS" QMAKE_CXXFLAGS+="$SLKCFLAGS" \
+ V=1 -config release -o Makefile $PRGNAM.pro
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ gpl-2.0.txt INSTALL README ReleaseNotes.txt SupportedDivecomputers.* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/subsurface/subsurface.info b/misc/subsurface/subsurface.info
new file mode 100644
index 0000000000..ecbd65b525
--- /dev/null
+++ b/misc/subsurface/subsurface.info
@@ -0,0 +1,10 @@
+PRGNAM="subsurface"
+VERSION="4.0.3"
+HOMEPAGE="http://subsurface.hohndel.org/"
+DOWNLOAD="http://subsurface.hohndel.org/downloads/Subsurface-4.0.3.tgz"
+MD5SUM="902957ea6169b9359317ba099893b88e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libdivecomputer"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"